package edu.mermet.tp8.fenetres;

import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.Action;
import javax.swing.ButtonGroup;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JRadioButton;

import edu.mermet.tp8.Utilisateur;


public class FenetreConfigurationMenu extends JDialog {

	private JPanel panneau;
	private JPanel panneauB;
	private JPanel panneauH;

	private JLabel conversionLabel;
	private JLabel saisieLabel;
	private JLabel diaporamaLabel;
	private JLabel boutonsLabel;

	private ButtonGroup convertirGroupe;
	private ButtonGroup groupeSaisie;
	private ButtonGroup diaporamaGroupe;
	private ButtonGroup groupeBoutton;

	private JRadioButton bouttonAuto1;
	private JRadioButton bouttonAffiche1;
	private JRadioButton radioCache1;

	private JRadioButton bouttonAuto2;
	private JRadioButton bouttonAffiche2;
	private JRadioButton radioCache2;

	private JRadioButton bouttonAuto3;
	private JRadioButton bouttonAffiche3;
	private JRadioButton radioCache3;

	private JRadioButton bouttonAuto4;
	private JRadioButton bouttonAffiche4;
	private JRadioButton radioCache4;

	private JButton validerBouton;
	private JButton annulerBouton;
	private Utilisateur utilisateur;

	public FenetreConfigurationMenu(JFrame frame, Action action,Utilisateur utilisateur) {
		super(frame, "Configuration des menus", true);
		this.utilisateur=utilisateur;
		setLocationRelativeTo(frame);
		JPanel panneau = new JPanel();
		this.setContentPane(panneau);
		panneau.setLayout(new BorderLayout());
		creationpanneau();
		
		pack();
	}

	
	private void creationpanneau() {
		panneauH = new JPanel();
		panneauH.setLayout(new GridLayout(4, 4));
		getContentPane().add(panneauH, BorderLayout.CENTER);
		conversionLabel = new JLabel("Conversion Celsius->Farenheit");
		saisieLabel = new JLabel("Saisie de texte");
		diaporamaLabel = new JLabel("Diaporama");
		boutonsLabel = new JLabel("Boutons");

		convertirGroupe = new ButtonGroup();
		groupeSaisie = new ButtonGroup();
		diaporamaGroupe = new ButtonGroup();
		groupeBoutton = new ButtonGroup();

		bouttonAuto1 = new JRadioButton("Auto");
		
		bouttonAffiche1 = new JRadioButton("Affiché");
		radioCache1 = new JRadioButton("Caché");
		bouttonAuto2 = new JRadioButton("Auto");
		bouttonAffiche2 = new JRadioButton("Affiché");
		radioCache2 = new JRadioButton("Caché");
		bouttonAuto3 = new JRadioButton("Auto");
		bouttonAffiche3 = new JRadioButton("Affiché");
		radioCache3 = new JRadioButton("Caché");
		bouttonAuto4 = new JRadioButton("Auto");
		bouttonAffiche4 = new JRadioButton("Affiché");
		radioCache4 = new JRadioButton("Caché");
		
		bouttonAuto1.setActionCommand("Auto");
		bouttonAffiche1.setActionCommand("affiché");
		radioCache1.setActionCommand("Caché");
		
		bouttonAuto2.setActionCommand("Auto");
		bouttonAffiche2.setActionCommand("affiché");
		radioCache2.setActionCommand("Caché");
		
		bouttonAuto3.setActionCommand("Auto");
		bouttonAffiche3.setActionCommand("affiché");
		radioCache3.setActionCommand("Caché");
		
		bouttonAuto4.setActionCommand("Auto");
		bouttonAffiche4.setActionCommand("affiché");
		radioCache4.setActionCommand("Caché");

		

		// creation des listner
		bouttonAuto1.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				// TODO Auto-generated method stub

			}
		});
		bouttonAffiche1.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				// TODO Auto-generated method stub

			}
		});
		radioCache1.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				// TODO Auto-generated method stub

			}
		});
		bouttonAuto2.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				// TODO Auto-generated method stub

			}
		});
		bouttonAffiche2.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				// TODO Auto-generated method stub

			}
		});
		radioCache2.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				// TODO Auto-generated method stub

			}
		});
		bouttonAuto3.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				// TODO Auto-generated method stub

			}
		});
		bouttonAffiche3.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				// TODO Auto-generated method stub

			}
		});
		radioCache3.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				// TODO Auto-generated method stub

			}
		});
		bouttonAuto4.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				
			}
		});
		bouttonAffiche4.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
			

			}
		});
		radioCache4.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				
			}
		});
		convertirGroupe.add(bouttonAuto1);
		convertirGroupe.add(bouttonAffiche1);
		convertirGroupe.add(radioCache1);
		groupeSaisie.add(bouttonAuto2);
		groupeSaisie.add(bouttonAffiche2);
		groupeSaisie.add(radioCache2);
		diaporamaGroupe.add(bouttonAuto3);
		diaporamaGroupe.add(bouttonAffiche3);
		diaporamaGroupe.add(radioCache3);
		groupeBoutton.add(bouttonAuto4);
		groupeBoutton.add(bouttonAffiche4);
		groupeBoutton.add(radioCache4);

		panneauH.add(conversionLabel);
		panneauH.add(bouttonAuto1);
		panneauH.add(bouttonAffiche1);
		panneauH.add(radioCache1);

		panneauH.add(saisieLabel);
		panneauH.add(bouttonAuto2);
		panneauH.add(bouttonAffiche2);
		panneauH.add(radioCache2);

		panneauH.add(diaporamaLabel);
		panneauH.add(bouttonAuto3);
		panneauH.add(bouttonAffiche3);
		panneauH.add(radioCache3);

		panneauH.add(boutonsLabel);
		panneauH.add(bouttonAuto4);
		panneauH.add(bouttonAffiche4);
		panneauH.add(radioCache4);


		panneauB = new JPanel();
		getContentPane().add(panneauB, BorderLayout.SOUTH);
		validerBouton = new JButton("Valider");
		annulerBouton = new JButton("Annuler");
		panneauB.add(validerBouton);
		panneauB.add(annulerBouton);
		validerBouton.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				 if(convertirGroupe.getSelection() != null)
		                utilisateur.setProperties("conversion", convertirGroupe.getSelection().getActionCommand());

		            if(diaporamaGroupe.getSelection() != null)
		                utilisateur.setProperties("saisie", diaporamaGroupe.getSelection().getActionCommand());

		            if(groupeBoutton.getSelection() != null)
		                utilisateur.setProperties("diaporama", groupeBoutton.getSelection().getActionCommand());

		            if(groupeSaisie.getSelection() != null)
		                utilisateur.setProperties("boutons", groupeSaisie.getSelection().getActionCommand());
		            
		            	utilisateur.enregistrer();
		            	JFrame parent = new JFrame();
		                JOptionPane optionPane = new JOptionPane("changement fait ", JOptionPane.INFORMATION_MESSAGE);
		                JDialog dialog = optionPane.createDialog(parent, "Manual Creation");
		                dialog.setVisible(true);
			}
		});
		annulerBouton.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				System.exit(0);

			}
		});

	

}
}
