package edu.mermet.tp8.fenetres;

import java.awt.Dimension;
import java.io.IOException;
import java.lang.invoke.SwitchPoint;
import java.util.Locale;
import java.util.ResourceBundle;

import javax.swing.Action;
import javax.swing.JDialog;
import javax.swing.JEditorPane;
import javax.swing.JFrame;
import javax.swing.JList;
import javax.swing.JScrollPane;
import javax.swing.JSplitPane;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;

/**
 * 
 * @author RHALMANI
 *
 */
public class FentreCmntFaire extends JDialog {
	JList<String> list;
	JScrollPane scrollPane;
	JEditorPane text;
	JSplitPane splitepan;
	Locale loc;
	ResourceBundle titre, text2;

	
	public FentreCmntFaire(JFrame frame, Action action) {
		super(frame, "HOW TO ? ");
		setLocationRelativeTo(frame);
		initiliserComposant();
		pack();
	}

	
	private void initiliserComposant() {
		loc = new Locale("fr", "FR");
		titre = ResourceBundle.getBundle("HowTo/titres_fr_FR", loc);
		text2 = ResourceBundle.getBundle("HowTo/textes_fr_FR", loc);
		splitepan = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT);
		this.setContentPane(splitepan);
		String[] label = { titre.getString("titre1"), titre.getString("titre2"), titre.getString("titre3"),
				titre.getString("titre4"), titre.getString("titre5"), titre.getString("titre6") };
		list = new JList<String>(label);
		splitepan.setLeftComponent(list);
		generationP();

	}


	private void generationP() {
		scrollPane = new JScrollPane();
		scrollPane.setPreferredSize(new Dimension(300, 90));
		text = new JEditorPane();
		text.setEditable(false);
		text.setContentType("text/html");
		scrollPane.setViewportView(text);
	
		list.addListSelectionListener(new ListSelectionListener() {
			@Override
			public void valueChanged(ListSelectionEvent e) {
				switch (list.getSelectedIndex()) {
				case 0:
					text.setText(text2.getString("titre1"));

					break;
				case 1:
					text.setText(text2.getString("titre2"));

					break;
				case 2:
					text.setText(text2.getString("titre3"));

					break;
				case 3:
					text.setText(text2.getString("titre4"));

					break;
				case 4:
					text.setText(text2.getString("titre5"));

					break;
				case 5:
					text.setText(text2.getString("titre6"));

					break;
				default:
					break;
				}

			}
		});
		splitepan.setRightComponent(scrollPane);
	}

}
